<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: EMAC_Rx_if Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">EMAC_Rx_if Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for EMAC_Rx_if:</div>
<div class="dyncontent">
<div class="center"><img src="classEMAC__Rx__if__inherit__graph.png" border="0" usemap="#EMAC__Rx__if_inherit__map" alt="Inheritance graph"/></div>
<map name="EMAC__Rx__if_inherit__map" id="EMAC__Rx__if_inherit__map">
<area shape="rect" id="node3" href="classTCPIP.html" title="TCPIP" alt="" coords="29,155,88,181"/><area shape="rect" id="node2" href="classchecksum.html" title="checksum(2)" alt="" coords="5,5,112,32"/><area shape="rect" id="node4" href="classTCPIP__if.html" title="TCPIP_if" alt="" coords="21,229,96,256"/><area shape="rect" id="node5" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="13,304,104,331"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classEMAC__Rx__if-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classEMAC__Rx__if_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classEMAC__Rx__if.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="memitem:a638db61841484c449397fe11129de31c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a638db61841484c449397fe11129de31c"></a>
<a class="el" href="classEMAC__Rx__if.html#a638db61841484c449397fe11129de31c">UNIMACRO</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:ad8a035eadb3459f7d2a4ae42064710f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8a035eadb3459f7d2a4ae42064710f7"></a>
<a class="el" href="classEMAC__Rx__if.html#ad8a035eadb3459f7d2a4ae42064710f7">amc13_pack</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classamc13__pack.html"> &lt;amc13_pack&gt;</a></td></tr>
<tr class="memitem:a0b4e29910fa9741df9382cff5f62bbdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4e29910fa9741df9382cff5f62bbdb"></a>
<a class="el" href="classEMAC__Rx__if.html#a0b4e29910fa9741df9382cff5f62bbdb">VComponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:aa1cb22e959d47364391e5eb4ef86927c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1cb22e959d47364391e5eb4ef86927c"></a>
<a class="el" href="classEMAC__Rx__if.html#aa1cb22e959d47364391e5eb4ef86927c">vcomponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a8120037e0ee47c35ba2d79242209c72e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8120037e0ee47c35ba2d79242209c72e"></a>
<a class="el" href="classEMAC__Rx__if.html#a8120037e0ee47c35ba2d79242209c72e">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae5de5c5aebf7b54ecd36feaba217215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae5de5c5aebf7b54ecd36feaba217215"></a>
<a class="el" href="classEMAC__Rx__if.html#aae5de5c5aebf7b54ecd36feaba217215">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a95591b8120081e6b68508ef2c2bbcd9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95591b8120081e6b68508ef2c2bbcd9e"></a>
<a class="el" href="classEMAC__Rx__if.html#a95591b8120081e6b68508ef2c2bbcd9e">rstCntr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad5aa6fc936ddab2541fd8b522f4573e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5aa6fc936ddab2541fd8b522f4573e6"></a>
<a class="el" href="classEMAC__Rx__if.html#ad5aa6fc936ddab2541fd8b522f4573e6">no_TCP_DATA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa75ff617b9315c1628f1fc55f3753ec7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa75ff617b9315c1628f1fc55f3753ec7"></a>
<a class="el" href="classEMAC__Rx__if.html#aa75ff617b9315c1628f1fc55f3753ec7">EMAC_RxD</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a880864cdc6e5c910163d0bb812394270"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a880864cdc6e5c910163d0bb812394270"></a>
<a class="el" href="classEMAC__Rx__if.html#a880864cdc6e5c910163d0bb812394270">EMAC_RxDVLD</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae22e802619399419119277670189a28e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae22e802619399419119277670189a28e"></a>
<a class="el" href="classEMAC__Rx__if.html#ae22e802619399419119277670189a28e">EMAC_RxGoodFrame</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a46ed295d979abeaf61616c7800397c92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46ed295d979abeaf61616c7800397c92"></a>
<a class="el" href="classEMAC__Rx__if.html#a46ed295d979abeaf61616c7800397c92">EMAC_RxBadFrame</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa119e36c1f79962dc4d4737ca465d2a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa119e36c1f79962dc4d4737ca465d2a7"></a>
<a class="el" href="classEMAC__Rx__if.html#aa119e36c1f79962dc4d4737ca465d2a7">MY_IP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeaf6540eaffdcb9c74005b3ebf8bb37f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeaf6540eaffdcb9c74005b3ebf8bb37f"></a>
<a class="el" href="classEMAC__Rx__if.html#aeaf6540eaffdcb9c74005b3ebf8bb37f">MY_ETH</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9e430eeb366d62476396a4b5f86c9ec3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e430eeb366d62476396a4b5f86c9ec3"></a>
<a class="el" href="classEMAC__Rx__if.html#a9e430eeb366d62476396a4b5f86c9ec3">en_Dout</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8f1debaf0b5b54c3d8676cdf4392ec7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f1debaf0b5b54c3d8676cdf4392ec7b"></a>
<a class="el" href="classEMAC__Rx__if.html#a8f1debaf0b5b54c3d8676cdf4392ec7b">Dout_avl</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a72812a724e060139a11e2379eca3cc10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72812a724e060139a11e2379eca3cc10"></a>
<a class="el" href="classEMAC__Rx__if.html#a72812a724e060139a11e2379eca3cc10">Dout_type</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acd08f34f3b89113a1d4a5312d399595f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd08f34f3b89113a1d4a5312d399595f"></a>
<a class="el" href="classEMAC__Rx__if.html#acd08f34f3b89113a1d4a5312d399595f">Dout</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">35</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5efe153e4cb13d8890ac45c0cd8ad84c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5efe153e4cb13d8890ac45c0cd8ad84c"></a>
<a class="el" href="classEMAC__Rx__if.html#a5efe153e4cb13d8890ac45c0cd8ad84c">last_word</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab77d465096072573e699ffd5f495ddc7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab77d465096072573e699ffd5f495ddc7"></a>
<a class="el" href="classEMAC__Rx__if.html#ab77d465096072573e699ffd5f495ddc7">Dout_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa9c91cc71e86ef5a6381487a56a4846e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9c91cc71e86ef5a6381487a56a4846e"></a>
<a class="el" href="classEMAC__Rx__if.html#aa9c91cc71e86ef5a6381487a56a4846e">ipb_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3de411a6efcd9ac2ff7c6777fbf8228b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3de411a6efcd9ac2ff7c6777fbf8228b"></a>
<a class="el" href="classEMAC__Rx__if.html#a3de411a6efcd9ac2ff7c6777fbf8228b">ipb_rdata</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3a8feda3e63214d05120836834bfc6ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a8feda3e63214d05120836834bfc6ee"></a>
<a class="el" href="classEMAC__Rx__if.html#a3a8feda3e63214d05120836834bfc6ee">csa</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">135</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0a8a77f7d4ff335b5581591c85b441be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a8a77f7d4ff335b5581591c85b441be"></a>
<a class="el" href="classEMAC__Rx__if.html#a0a8a77f7d4ff335b5581591c85b441be">csb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">135</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="EMAC__Rx__if_8vhd_source.html#l00040">40</a> of file <a class="el" href="EMAC__Rx__if_8vhd_source.html">EMAC_Rx_if.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/TCPIP_if/<a class="el" href="EMAC__Rx__if_8vhd_source.html">EMAC_Rx_if.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
